> ## Documentation Index
> Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify TP/SL Order (SIGNED)

`Applicable for modifying TP/SL orders`

#### Request URL

`POST https://cloud-api.wooxpro.com/contract/private/modify-tp-sl-order`

#### Request Limit

See [Detailed Rate Limit](/english/rate-limit)

#### Request Parameter

> Request

```shell theme={null}
curl 
 -H 'X-API-KEY:{{AccessKey}}'
 -H 'X-API-TIMESTAMP:{{currentTime}}'
 -H 'X-API-SIGN:{{SIGN}}' 
 -X POST -d '{
  "symbol":"ETHUSDT",
  "trigger_price":"2100",
  "executive_price":"2100",
  "price_type":2,
  "order_id":"37758000001",
  "client_order_id":"",
  "plan_category":2,
  "category": "limit"
}'
https://cloud-api.wooxpro.com/contract/private/modify-tp-sl-order
```

| Field             | Type   | Required? | Description                                                              |
| :---------------- | :----- | :-------- | :----------------------------------------------------------------------- |
| symbol            | String | Yes       | Symbol of the contract(like BTCUSDT)                                     |
| order\_id         | String | No        | Order ID(order\_id or client\_order\_id must give one)                   |
| client\_order\_id | String | No        | Client order ID(order\_id or client\_order\_id must give one)            |
| trigger\_price    | String | Yes       | Trigger price                                                            |
| executive\_price  | String | No        | Execution price for order, mandatory when plan\_category = 1             |
| price\_type       | Int    | Yes       | Trigger price type<br />-`1`=last\_price<br />-`2`=fair\_price           |
| plan\_category    | Int    | No        | TP/SL type<br />-`1`=TP/SL<br />-`2`=Position TP/SL                      |
| category          | String | No        | Order type, Position TP/SL default `market`<br />-`limit`<br />-`market` |

#### Response Data

> Response

```json theme={null}
{
  "code": 1000,
  "message": "Ok",
  "data": {
    "order_id": "220609666322019"
  },
  "trace": "13f7fda9-9543-4e11-a0ba-cbe117989988"
}
```

| Field     | Type   | Description |
| :-------- | :----- | :---------- |
| order\_id | String | Order ID    |
